@echo off
if "%1"=="%2" goto help
          

:install
 if not exist %1\duke3d.exe goto notfound
echo  DOOM Level Creation Kit v2.2 wird in %1\DOOMLCK2 installiert
echo        Drcken Sie eine beliebige Taste um fortzufahren
pause > nul
  md %1\DOOMLCK2
   xcopy *.* %1\DOOMLCK2
   xcopy DCKTILES\*.DCK %1
goto end

:help
echo.
echo  Aufruf   : INSTALL [HardDisk] [Duke Nukem 3D Directory]
echo  Beispiel : Falls Duke Nukem 3D auf der Festplatte D und im Verzeichnis
echo             \games\duke3d installiert ist.
echo             install d:\games\duke3d
echo.
echo  DOOM Level Creation Kit 2.2 wird dann ein Unterverzeichnis namens "DOOMLCK2"
echo  anlegen und alle bentigten Dateien dorthin kopieren.
echo.
goto end

:notfound
echo  Duke Nukem 3D wurde im angegebenen Verzeichnis nicht gefunden !
echo  DOOMLCK v2.2 konnte nicht korrekt installiert werden !


:end
